Yii 框架和离线文档

深圳风采公式 www.methk.cn Yii 是在 BSD License 下发布的一个开源项目。这意味着您能免费使用它开发开源或私有的 Web 应用程序。

安装 Yii 有两种方法:使用 Composer 或下载应用程序模板。 我们强烈建议您使用 Composer。

如果您尚未安装 Composer,则可以按照 Composer 官网 的说明进行安装。

Yii 2.0

通过 Composer 安装(推荐)

此处描述的安装说明是一个简短的摘要,您可能需要查看“权威指南”以获取更详细的说明。

选择一个应用程序模板以开始安装 Yii 2.0。应用程序模板是一个包,其中包含用 Yii 框架编写的 Web 应用程序,您可以从中开始构建应用程序。如果您刚开始使用 Yii,我们建议您安装基本模板。

从归档文件安装

下载以下归档文件之一,然后将其解压缩到一个 Web 可访问的文件夹:

之后,您可能需要按照 权威指南中的介绍 开始,或者查看 高级应用程序模板的文档 以了解如何使用它。

从旧版本升级

如果你是通过 composer 从 Yii 2.0.x 升级,只需要在您的项目根目录运行以下命令:

php composer.phar update yiisoft/yii2 yiisoft/yii2-composer bower-asset/jquery.inputmask

升级 Yii 时,可能存在需要调整应用程序代码的更改,因此您应每次都要查看 UPGRADE 说明。 这些还包含有关如何使用 composer 升级 Yii 更详细的说明。

如果使用存档文件安装 Yii,则可以使用 Composer 跟踪上述进度,也可以下载新的归档文件,并使用新归档文件中的文件替换应用程序中 vendor/ 目录的内容。

从 Yii1.1 升级并不简单,需要重写应用程序的很大一部分代码。请参考有关 从 Yii 1.1 升级 的指南。

离线文档

Yii 2.0 权威指南和 API 文档可供离线浏览。您可以在下面找到下载包,包括指南和 API 文档的 HTML 文件以及 PDF 版本的链接。

Yii 1.1

Yii 1.1 目前正在处于 维护模式。我们将继续支持和 bug 修复此版本直到 2016年12月31日。安全修复和 PHP 7 的兼容将会支持到 2020年12月31日。

您可以使用 git 从 Github 代码库中获取 Yii 1.1 的最新开发版本代码:

git clone [email protected]:yiisoft/yii.git yii
或者通过使用 SVN:
svn checkout https://github.com/yiisoft/yii/trunk/ yii
yiisoft/yii 的 composer 包也可以使用。

文档

权威指南

归档

如果您正在寻找 Yii 1.0 和其他非常古老的资源,您可以在 博物馆 找到它们。